/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.LoginWidget");

dojo.require("dojox.data.dom");
dojo.require("com.ibm.team.repository.web.ui.internal.LoginWidget");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.internal", "Messages");

var InternalMessages = dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.internal", "Messages");

/**
 * Display the login dialog.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.internal.LoginWidget",
	com.ibm.team.repository.web.ui.internal.LoginWidget, {
		
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.core", "app/internal/templates/LoginWidget.html"),
	
	postCreate: function() {
		com.ibm.rational.report.web.core.app.internal.LoginWidget.superclass.postCreate.apply(this);
		
		dojox.data.dom.removeChildren(this.userNameLabel);	
		this.userNameLabel.appendChild(document.createTextNode(InternalMessages.LOGIN_USERNAME_LABEL));
		
		dojox.data.dom.removeChildren(this.passwordLabel);
		this.passwordLabel.appendChild(document.createTextNode(InternalMessages.LOGIN_PASSWORD_LABEL));
		
		dojox.data.dom.removeChildren(this.rememberUserNameLabel);
		this.rememberUserNameLabel.appendChild(document.createTextNode(InternalMessages.LOGIN_REMEMBER_USER_NAME_LABEL));
		
		dojox.data.dom.removeChildren(this.loginButton);
		this.loginButton.appendChild(document.createTextNode(InternalMessages.LOGIN_BUTTON_LABEL));
		
		dojox.data.dom.removeChildren(this.copyrightText);
		this.copyrightText.appendChild(document.createTextNode(InternalMessages.LOGIN_COPYRIGHT_TEXT));
	}
	
});

})();